/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.PresentationList__ul {
    list-style: none;
    padding-left: 0;

    li {
        margin-bottom: _size(element-margin);
        padding-left: 0;
    }
}

.emphasisbox__parent {
    display: flex;
    flex-direction: row;
}

.emphasisbox__left {
    display: flex;
    flex-grow: 1;
    flex-direction: row;

    border: 1px solid  _palette(border);
    border-radius: _size(border-radius);
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.PresentationList__create_new {
    display: flex;
}

.PresentationList__item {
    transition: background-color _duration(transition) ease-in-out;
    &:hover {
        background: _palette(border);
    }

    color: inherit;
}

.PresentationList__title {
    align-self: center;
    padding-left: _size(element-margin);

    h2 {
        margin-bottom: 0;  // So that we are actually centered
    }
}

.PresentationList__title__byline {
    position: absolute;
    color: _palette(fg-light);
}

.emphasisbox__actions {
    display: flex;
    flex-grow: 0;
    flex-direction: column;

    .button {
        display: flex;
        flex-grow: 1;

        align-items: center; 
        justify-content: center;

        border-radius: 0;
        &:first-child {
            border-top-right-radius: _size(border-radius);
        }
        &:last-child {
            border-bottom-right-radius: _size(border-radius);
        }
    }
}

@include breakpoint(medium) {
    .emphasisbox__parent {
        flex-direction: column;
    }
    .emphasisbox__left {
        flex-direction: column;
    }
    .PresentationList__thumb {
        align-self: center;
        max-width: 100%;
    }
    .PresentationList__title {
        padding-left: 0;
    }
    .PresentationList__title__byline {
        position: initial;
        text-align: center;
    }
    .emphasisbox__actions {
        flex-direction: row;
    }
}
